package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchTerminatorApi;
import com.docus.server.dto.scheduling.management.SchTerminatorDTO;
import com.docus.server.service.ISchTerminatorService;
import com.docus.server.vo.scheduling.management.SchTerminatorVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 执行管理器 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchTerminatorController implements SchTerminatorApi {
    @Resource
    private ISchTerminatorService iSchTerminatorService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchTerminatorVO findById(String id) {
        return iSchTerminatorService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchTerminatorVO> search(SearchRequest searchRequest) {
        return iSchTerminatorService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schTerminatorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchTerminatorDTO schTerminatorDTO) {
        return iSchTerminatorService.add(schTerminatorDTO);
    }

    /**
     * 编辑
     *
     * @param schTerminatorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchTerminatorDTO schTerminatorDTO) {
        return iSchTerminatorService.edit(schTerminatorDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchTerminatorService.delete(ids);
    }
}
